Executes an AutoPayAccount operation

Executes an operation of AutoPayAccount

With the AutoPayAccount service, you can perform the following operations on the execute endpoint:

  • Cancel
  • Disable
  • UpdatePaymentToken
  • GetInvoicesUsingRemittanceRestriction

Cancel

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "Cancel",
  "EntityTypeName": "AutoPayAccount",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "System.String",
        "$value": "autoPayAccountId Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "System.String"
    ]
  },
  "UseJson": false
}

Disable

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "Disable",
  "EntityTypeName": "AutoPayAccount",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "System.String",
        "$value": "autoPayAccountId Value"
      },
      {
        "$type": "Asi.Soa.Commerce.DataContracts.ApplicationRestrictionData, Asi.Contracts",
        "$value": "restrictionToRemove Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "System.String",
      "Asi.Soa.Commerce.DataContracts.ApplicationRestrictionData, Asi.Contracts"
    ]
  },
  "UseJson": false
}

UpdatePaymentToken

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "UpdatePaymentToken",
  "EntityTypeName": "AutoPayAccount",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "Asi.Soa.Commerce.DataContracts.AutoPayAccountData, Asi.Contracts",
        "$value": "autoPayAccount Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "Asi.Soa.Commerce.DataContracts.AutoPayAccountData, Asi.Contracts"
    ]
  },
  "UseJson": false
}

GetInvoicesUsingRemittanceRestriction

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "GetInvoicesUsingRemittanceRestriction",
  "EntityTypeName": "AutoPayAccount",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "System.Guid",
        "$value": "autoPayAccountId Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "System.Guid"
    ]
  },
  "UseJson": false
}
Body Params

request object to execute

string
enum
required
Defaults to Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts

The DataType must be "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts"

Allowed:
string
string
Parameters
array
Parameters
ParameterTypeNames
array of strings
ParameterTypeNames
string
boolean
Defaults to false
Responses
200

The request was successful.

201

The resource was successfully created.

202

The resource was asynchronously created.

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here!

Contact us
Copyright © Advanced Solutions International, All rights reserved.